Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.discount.mgmt
Interface DiscountMgmt

public interface DiscountMgmt
extends javax.ejb.EJBObject

This interface defines the public interface of the `DiscountMgmt` service. This service controls the persistance of discount sets and the creation and access of discounts.

Method Summary
`QualificationDiscountDef` | `getDiscountById(QualificationDiscountId id)` Gets a discount (`QualificationDiscountDef`) by it's id (`QualificationDiscountId`).
`QualificationDiscountDef` | `getDiscountByName(java.lang.String discountName)` Gets a discount definition (`QualificationDiscountDef`) by its name.
`QualificationDiscountDef` | `getDiscountByName(java.lang.String setName, java.lang.String discountName)` Deprecated. use getDiscountByName(String discountName)
`java.util.Set` | `getDiscountsById(java.util.Set idSet, java.util.Set qualDiscountDefSet)` Gets a `Set` of `QualificationDiscountDef`s whose ids (`QualificationDiscountId`)s are in the `Set` argument passed.
`java.util.Set` | `getGlobalDiscounts()` Gets all the global discounts currently deployed

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getGlobalDiscounts

    public java.util.Set getGlobalDiscounts()
                                     throws java.rmi.RemoteException

  Gets all the global discounts currently deployed

  Returns:
    a Set containging all of the global QualificationDiscountDef objects currently deployed, if there are no global discounts deployed the Set will be empty.
  Throws:
    java.rmi.RemoteException - thrown on a communication error

### getDiscountById

    public QualificationDiscountDef getDiscountById(QualificationDiscountId id)
                                             throws java.rmi.RemoteException

  Gets a discount (`QualificationDiscountDef`) by it's id (`QualificationDiscountId`).

  Parameters:
    `id` - the `QualificationDiscountId` of the discount
  Returns:
    the `QualificationDiscountDef` specifed by the id or null if the discount was not found
  Throws:
    java.rmi.RemoteException - thrown on a communication error

### getDiscountsById

    public java.util.Set getDiscountsById(java.util.Set idSet,
                                          java.util.Set qualDiscountDefSet)
                                   throws java.rmi.RemoteException

  Gets a `Set` of `QualificationDiscountDef`s whose ids (`QualificationDiscountId`)s are in the `Set` argument passed.

  Parameters:
    `idSet` - a Set of `QualificationDiscountId` objects. This Set will not be modified by this method.
    `qualDiscountDefSet` - an empty set into which the `QualificationDiscountDef` objects will be placed. This set must be modifiable. Anything that was already in the set will be removed.
  Returns:
    a Set, the one specifed by the `qualDiscountDefSet` parameter, of `QualificationDiscountDef` objects whose `QualificationDiscountId`s match those passed in the `idSet` parameter. If no matching `QualificationDiscountDef` objects the returned set will be empty.
  Throws:
    java.rmi.RemoteException - thrown on a communication error

### getDiscountByName

    public QualificationDiscountDef getDiscountByName(java.lang.String discountName)
                                               throws java.rmi.RemoteException

  Gets a discount definition (`QualificationDiscountDef`) by its name. Since discount name are only unquie within a discount set the set name is required also.

  Parameters:
    `setName` - the name of the set to which the discount belongs
    `discountName` - the id (`QualificationDiscountId`) of the discount to retrieve
  Returns:
    the discount definition (`QualificationDiscountDef`), or null if the discount was not found
  Throws:
    java.rmi.RemoteException - thrown on a communication error

### getDiscountByName

    public QualificationDiscountDef getDiscountByName(java.lang.String setName,
                                                      java.lang.String discountName)
                                               throws java.rmi.RemoteException

  Deprecated. use getDiscountByName(String discountName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved